Subject: bug#65039: [PATCH] Add bookmark handler for shell-mode

From: Michael Albinus <[email-masked]>
Date: Fri, 14 Feb 2025 18:04:44 +0100

Ship Mints <[email-masked]> writes:

Hi,

>     I'll check, whether I can improve this in Tramp.
>
> Perhaps something as simple as a buffer-local in either the main
> buffer or in the remote buffer, accessible via
> with-connection-local-variables?

My idea is rather to extend expand-file-name. If
tramp-show-ad-hoc-proxies is non-nil, it should return the whole ad-hoc
multi-hop remote file name. Something like this.

(I thought it is simple, but it looks a little bit more complex.)

> I'll work on the documentation as Eli suggested and post a revised
> patch today including documentation for tramp-show-ad-hoc-proxies.

Thanks.

Best regards, Michael.